---
title: Retrieves Security Center Issues Types
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/typescript)

[Intel](https://developers.cloudflare.com/api/typescript/resources/intel)

[Attack Surface Report](https://developers.cloudflare.com/api/typescript/resources/intel/subresources/attack_surface_report)

[Issue Types](https://developers.cloudflare.com/api/typescript/resources/intel/subresources/attack_surface_report/subresources/issue_types)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Retrieves Security Center Issues Types

client.intel.attackSurfaceReport.issueTypes.get(IssueTypeGetParams {account\_id } params, RequestOptionsoptions?): SinglePage< [IssueTypeGetResponse](<https://developers.cloudflare.com/api/typescript/resources/intel#(resource)%20intel.attack_surface_report.issue_types%20%3E%20(model)%20issue_type_get_response%20%3E%20(schema)>)>

GET/accounts/{account\_id}/intel/attack-surface-report/issue-types

Lists all available issue types in Security Center, describing categories of security issues.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Intel Write``Intel Read`

##### ParametersExpand Collapse

<details>

<summary>

params: IssueTypeGetParams {account\_id }

</summary>

account\_id: string

Identifier.

maxLength32

<a href="#(resource)%20intel.attack_surface_report.issue_types%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20intel.attack_surface_report.issue_types%20%3E%20(method)%20get%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

IssueTypeGetResponse = string

[Link to this property](<#(resource)%20intel.attack_surface_report.issue_types%20%3E%20(model)%20issue_type_get_response%20%3E%20(schema)>)

### Retrieves Security Center Issues Types

TypeScript

HTTPTypeScriptPythonGoTerraform

```
import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const issueTypeGetResponse of client.intel.attackSurfaceReport.issueTypes.get({
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
})) {
  console.log(issueTypeGetResponse);
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    "string"
  ]
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    "string"
  ]
}
```